package com.hzs.common.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description: AWS 配置文件
 * @Author: jiang chao
 * @Time: 2023/11/3 14:48
 * @Classname: AwsConfig
 * @PackageName: com.hzs.common.core.config
 */
@Component
@ConfigurationProperties(prefix = "aws")
public class AwsConfig {

    /**
     * accessKey
     */
    private static String accessKey;

    /**
     * secretKey
     */
    private static String secretKey;

    /**
     * bucketName
     */
    private static String bucketName;

    /**
     * 目录前缀
     */
    private static String prefixDirectory;

    /**
     * region
     */
    private static String region;

    /**
     * 访问文件路径
     */
    private static String filePath;

    public static String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        AwsConfig.accessKey = accessKey;
    }

    public static String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        AwsConfig.secretKey = secretKey;
    }

    public static String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        AwsConfig.bucketName = bucketName;
    }

    public static String getPrefixDirectory() {
        return prefixDirectory;
    }

    public void setPrefixDirectory(String prefixDirectory) {
        AwsConfig.prefixDirectory = prefixDirectory;
    }

    public static String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        AwsConfig.region = region;
    }

    public static String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        AwsConfig.filePath = filePath;
    }
}
